.footer {
    background-image: linear-gradient(to right bottom, $primary_color -80%,$black 70%);
    padding: 3rem;
}

.nav {
    
    list-style: none;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(15rem, 1fr));
    grid-gap: 2rem;
    align-items: center;

    &__link:link,
    &__link:visited {
        font-size: 1.4rem;
        color: #fff;
        text-decoration: none;
        font-family: $ghh-medium;
        text-transform: uppercase;
        text-align: center;
        padding: 1.5rem;
        display: block;
        transition: all .2s;
    }

    &__link:hover,
    &__link:active {
        background-color: rgba(#fff, .05);
        transform: translateY(-3px);
    }
}

.copyright {
    font-size: 1.4rem;
    color: $white;
    margin-top: 6rem;
    margin-right: auto;
    margin-left: auto;
    text-align: center;
    width: 70%;
}


.footer__container{
    background-color: #222;
    max-height: 400px;
    .container{
        .row{
            [class^='col-md-']{
                &:not(:first-child){
                    border-left: 1px solid rgba(#fff, .2);
                }
                .widget__container{
                    padding: 5rem 2rem;
                    color: rgba(#fff, .4);
                    .widget__title{
                        font-family: $ghh-medium;
                        text-transform: uppercase;
                        position: relative;
                        margin-bottom: 2rem;
                        color: rgba(#fff, .7);
                        &::before{
                            content:'';
                            position: absolute;
                            width: 10%;
                            border-bottom: 5px solid $primary_color;
                            bottom: -1rem;
                            
                        }
                    }
                    ul{
                        li{
                            background-color: rgba(#fff, .5);
                            margin-right: .5rem;
                            border-radius: 2px;
                            padding: .5rem 1rem;
                            a{
                                font-size: 2rem;
                            }
                        }
                    }
                }
            }
        }
    }
    .footer__credit{
        background-color: $primary_color;
        
        .foot__content{
            padding: 1rem 2rem;
            font-family: $ghh-regular;
            color: #fff;
        }
    }
}